# $Revision: 1.36 $, $Date: 2004/05/07 01:09:24 $
#
# Conditional build:
%bcond_with	tests	# perform "make test" (uses network!)
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	Number
%define	pnam	Format
Summary:	Number::Format - Perl extension for formatting numbers
Summary(pl):	Number::Format - modu do formatowania liczb
Name:		perl-Number-Format
Version:	1.45
Release:	3
License:	Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	6b349dd339aac5e3acf233a02262a734
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Number::Format is a library for formatting numbers.  Functions are
provided for converting numbers to strings in a variety of ways, and to
convert strings that contain numbers back into numeric form.  The output
formats may include thousands separators - characters inserted between
each group of three characters counting right to left from the decimal
point.  The characters used for the decimal point and the thousands
separator come from the locale information or can be specified by
the user.

%description -l pl
Number::Format jest bibliotek, suc do formatowania liczb.
Dostarcza funkcji do konwersji liczb na cigi znakw w rny sposb,
oraz do konwersji cigw zawierajcych liczby z powrotem na ich posta
numeryczn.  Formaty wynikowe mog zawiera separatory tysiczne --
znaki, wstawiane pomidzy kad grup trzech znakw liczc od prawej do
lewej od kropki dziesitnej.  Znaki, uywane jako kropka dziesitna i
separator tysiczny pochodz z informacji o locale; mog te by podane
przez uytkownika.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGES README TODO
%{perl_vendorlib}/Number/Format.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Number-Format.spec,v $
Revision 1.36  2004/05/07 01:09:24  ankry
- rel. 3

Revision 1.35  2004/05/06 18:20:49  ankry
- fixed perl-devel BR

Revision 1.34  2004/04/27 00:30:12  ankry
- cosmetics

Revision 1.33  2004/04/26 23:05:38  ankry
- added tests, license fixes

Revision 1.32  2003/09/09 10:24:44  ankry
- spaces -> tab

Revision 1.31  2003/08/18 08:09:06  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.30  2003/05/28 13:00:55  malekith
- massive attack: source-md5

Revision 1.29  2003/05/25 06:24:52  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.28  2003/04/11 18:59:25  radek
- BR: perl-devel; do not BR: perl

Revision 1.27  2003/03/01 20:22:18  radek
- should be ready for perl-5.8.0; release++

Revision 1.26  2003/02/25 00:41:03  radek
- use the __perl macro

Revision 1.25  2003/02/18 15:37:30  ankry
- massive attack: change CPAN URLs

Revision 1.24  2002/12/02 11:06:24  ankry
- massive cleaning

Revision 1.23  2002/08/31 12:23:50  radek
- version 1.45

Revision 1.22  2002/07/12 09:04:41  qboosh
- new %%doc and cosmetics

Revision 1.21  2002/07/11 08:02:38  depesz
- new version; should work; STBR

Revision 1.20  2002/07/10 08:48:27  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.19  2002/05/11 14:28:11  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.18  2002/02/25 10:33:42  depesz
cleanup; revision++

Revision 1.17  2002/02/22 23:29:31  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.16  2002/02/13 14:19:26  depesz
automatic: Source location unfied, Relase Up

Revision 1.15  2002/02/10 15:31:30  depesz
adapterized

Revision 1.14  2002/01/18 02:14:24  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.13  2001/11/28 15:20:21  mis
- buildarch noarch; release++

Revision 1.12  2001/04/17 12:14:04  baggins
- release 3
- rebuild with perl 5.6.1

Revision 1.11  2001/04/14 18:00:09  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.10  2001/01/22 20:01:30  kloczek
- spec adapterized,
- do not include .packlist file in %files.

Revision 1.9  2001/01/13 01:32:38  dobrek
-Req:perl>=5.6 ;Realase=2;New rpm automat

Revision 1.8  2000/09/05 01:01:57  kloczek
- updated to 1.42.

Revision 1.7  2000/06/09 07:54:56  kloczek
- more %%{__make} macros.

Revision 1.6  2000/06/09 07:23:40  kloczek
- added using %%{__make} macro.

Revision 1.5  2000/05/21 20:20:01  kloczek
- spec adapterized.

Revision 1.4  2000/04/01 11:15:24  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.3  2000/03/28 16:54:58  baggins
- translated kloczkish into english

Revision 1.2  1999/11/05 23:57:53  pius
- added '%include /usr/lib/rpm/macros.perl'
- modified BuildRequires rules

Revision 1.1  1999/10/20 19:46:46  pius
- initial release
